/*
 * Class EV_TREE_NODE_ACTION_SEQUENCES_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_337 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_337 [] = {0xFF01,1551,336,0xFFFF};
static const EIF_TYPE_INDEX egt_2_337 [] = {0xFF01,336,0xFFFF};
static const EIF_TYPE_INDEX egt_3_337 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_337 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_337 [] = {0xFF01,336,0xFFFF};
static const EIF_TYPE_INDEX egt_6_337 [] = {0xFF01,336,0xFFFF};
static const EIF_TYPE_INDEX egt_7_337 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_337 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_337 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_337 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_337 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_337 [] = {0xFF01,336,0xFFFF};
static const EIF_TYPE_INDEX egt_13_337 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_14_337 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_337 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_337 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_17_337 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_337 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_19_337 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_20_337 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_337[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_337), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_337), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_337), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_337), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_337), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_337), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_337), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_337), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_337), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_337), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_337), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_337), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02A1 /*336*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_337), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_337), 6323, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_337), 6324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6316, 0},
	{EIF_GENERIC(egt_15_337), 6317, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_337), 6325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6318, 4},
	{EIF_GENERIC(egt_17_337), 6319, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_337), 6326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6320, 8},
	{EIF_GENERIC(egt_19_337), 6321, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_337), 6327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6322, 12},
};
void Init337(void)
{
	IDSC(desc_337, 0, 336);
	IDSC(desc_337 + 1, 1, 336);
	IDSC(desc_337 + 32, 1484, 336);
}


#ifdef __cplusplus
}
#endif
